# Create account

## Create account

> Create a new account.\
> Available for Operations account with platform account management permissions.\
> Creates account record and optional user groups/modules scope.\
> When used Content-type: application/json - account created without icon.\
> When used Content-type: multipart/form-data - account created with icon, parts should account and logo.\
> Returns the created account object.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5521-gb6ada4dc"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/accounts/accounts":{"post":{"tags":["Accounts"],"summary":"Create account","description":"Create a new account.\nAvailable for Operations account with platform account management permissions.\nCreates account record and optional user groups/modules scope.\nWhen used Content-type: application/json - account created without icon.\nWhen used Content-type: multipart/form-data - account created with icon, parts should account and logo.\nReturns the created account object.","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"account":{"type":"object","properties":{"ExternalIds.PyraTenantId":{"type":"string","format":"uuid"},"ExternalId":{"type":"string"},"ExternalName":{"type":"string"},"Address.AddressLine1":{"type":"string"},"Address.AddressLine2":{"type":"string"},"Address.PostCode":{"type":"string"},"Address.City":{"type":"string"},"Address.State":{"type":"string"},"Address.Country":{"type":"string"},"TechnicalSupportEmail":{"type":"string"},"Website":{"type":"string"},"Description":{"type":"string"},"Groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroup"}},"Eligibility.Client":{"type":"boolean"},"Eligibility.Partner":{"type":"boolean"},"DefaultLanguageCode":{"type":"string"},"Type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}]},"Status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}]},"Metadata.OmittedProperties":{"type":"array","items":{"type":"string"}},"Name":{"type":"string"},"Icon":{"type":"string"},"Revision":{"type":"integer","format":"int32"},"Audit.Created.At":{"type":"string","format":"date-time"},"Audit.Created.ById":{"type":"string"},"Audit.Created.By.Type":{"allOf":[{"$ref":"#/components/schemas/IdentityType"}]},"Audit.Created.By.Metadata.OmittedProperties":{"type":"array","items":{"type":"string"}},"Audit.Created.By.Name":{"type":"string"},"Audit.Created.By.Icon":{"type":"string"},"Audit.Created.By.Revision":{"type":"integer","format":"int32"},"Audit.Created.By.Audit.Created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}]},"Audit.Created.By.Audit.Updated.At":{"type":"string","format":"date-time"},"Audit.Created.By.Audit.Updated.ById":{"type":"string"},"Audit.Created.By.Audit.Updated.By":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}]},"Audit.Created.By.Id":{"type":"string"},"Audit.Updated.At":{"type":"string","format":"date-time"},"Audit.Updated.ById":{"type":"string"},"Audit.Updated.By.Type":{"allOf":[{"$ref":"#/components/schemas/IdentityType"}]},"Audit.Updated.By.Metadata.OmittedProperties":{"type":"array","items":{"type":"string"}},"Audit.Updated.By.Name":{"type":"string"},"Audit.Updated.By.Icon":{"type":"string"},"Audit.Updated.By.Revision":{"type":"integer","format":"int32"},"Audit.Updated.By.Audit.Created.At":{"type":"string","format":"date-time"},"Audit.Updated.By.Audit.Created.ById":{"type":"string"},"Audit.Updated.By.Audit.Created.By":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}]},"Audit.Updated.By.Audit.Updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}]},"Audit.Updated.By.Id":{"type":"string"},"Id":{"type":"string"}},"description":"Json representation of the account"},"logo":{"type":"string","format":"binary"}}},"encoding":{"account":{"contentType":"application/json"},"logo":{"contentType":"application/octet-stream"}}},"application/json":{"schema":{"$ref":"#/components/schemas/AccountCreate"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"UserGroup":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"modules":{"type":"array","items":{"$ref":"#/components/schemas/ModuleRef"}},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"},"users":{"type":"array","items":{"$ref":"#/components/schemas/UserRef"}},"extensions":{"type":"array","items":{"$ref":"#/components/schemas/PlatformObjectAuditPlatformExtension"},"nullable":true},"buyers":{"type":"array","items":{"$ref":"#/components/schemas/BuyerRef"},"nullable":true}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"ModuleRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string"},"filters":{"allOf":[{"$ref":"#/components/schemas/Filters"}],"nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/ModuleSettings"}],"nullable":true}},"additionalProperties":false},"Filters":{"type":"object","properties":{"group.buyers":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ModuleSettings":{"type":"object","properties":{"sharedAccount":{"type":"boolean","deprecated":true},"configurable":{"type":"boolean"},"default":{"type":"boolean"},"paid":{"type":"boolean"},"type":{"type":"array","items":{"type":"string"}},"obsolete":{"type":"boolean"},"eligibility":{"allOf":[{"$ref":"#/components/schemas/ModuleSettingsEligibility"}],"nullable":true}},"additionalProperties":false},"ModuleSettingsEligibility":{"type":"object","properties":{"multi":{"type":"boolean"},"single":{"type":"boolean"}},"additionalProperties":false},"UserRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformObjectAuditPlatformExtension":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}],"nullable":true},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Private","Public","Deleted"],"type":"string"}},"additionalProperties":false},"BuyerRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"IdentityType":{"enum":["User","ApiToken","Service","Extension"],"type":"string"},"PlatformIdentity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"AccountCreate":{"required":["name","type"],"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"maxLength":500,"minLength":1,"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}]},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"maxLength":250,"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"maxLength":320,"type":"string","format":"email","nullable":true},"website":{"maxLength":2000,"type":"string","nullable":true},"description":{"maxLength":2000,"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/account/create-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
